| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sError Struct Reference

Error returned by the instrument. More...

`#include <THM1176Types.h>`

## Public Member Functions
| sError (I32 Code=0, std::string Description="", std::string Context="")
| Constructor.
bool | operator== (sError other) const
| Equality operator.
bool | operator!= (sError other) const
| Inequality operator.

## Public Attributes
I32 | Code
| Error code.
std::string | Description
| Error description.
std::string | Context
| SCPI commands being executed at time of error.

## Detailed Description

Error returned by the instrument.

Definition at line 213 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sError()

MTL::Instrument::THM1176Types::sError::sError | ( | I32 | Code = 0,
|  | std::string | Description = "",
|  | std::string | Context = "" )
| inline

Constructor.

Parameters

  [in] | Code | Error code.
  [in] | Description | Error description.
  [in] | Context | SCPI commands being executed at time of error.

Definition at line 224 of file THM1176Types.h.

## Member Function Documentation

## ◆ operator!=()

bool MTL::Instrument::THM1176Types::sError::operator!= | ( | sError | other | ) | const

Inequality operator.

Definition at line 153 of file THM1176Types.cpp.

## ◆ operator==()

bool MTL::Instrument::THM1176Types::sError::operator== | ( | sError | other | ) | const

Equality operator.

Definition at line 145 of file THM1176Types.cpp.

## Member Data Documentation

## ◆ Code

I32 MTL::Instrument::THM1176Types::sError::Code

Error code.

Definition at line 215 of file THM1176Types.h.

## ◆ Context

std::string MTL::Instrument::THM1176Types::sError::Context

SCPI commands being executed at time of error.

Definition at line 217 of file THM1176Types.h.

## ◆ Description

std::string MTL::Instrument::THM1176Types::sError::Description

Error description.

Definition at line 216 of file THM1176Types.h.

The documentation for this struct was generated from the following files:

- THM1176InstrumentDriver/include/THM1176Types.h
- THM1176InstrumentDriver/src/THM1176Types.cpp